package com.zksy.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.base.domain.EquipmentType;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface EquipmentTypeService extends IService<EquipmentType> {

    Page<EquipmentType> findByPage(long pageNum, long pageSize, String typeId,String typeName,String parentTypeId);

    /**
     * 新增设备类别
     * @param entity
     * @return
     */
    boolean saveWithCheck(EquipmentType entity);

    /**
     * 批量新增设备类别
     * @param entityList
     * @return
     */
    boolean saveBatchWithCheck(List<EquipmentType> entityList);

    /**
     * 设备类别修改
     * @param entity
     * @return
     */
    boolean updateWithCheck(EquipmentType entity);

    /**
     * 设备类别删除
     * @param id
     * @return
     */
    boolean removeWithCheck(String id);

    /**
     * 设备类别批量删除
     * @param ids
     * @return
     */
    boolean removeBatchWithCheck(List<String> ids);
}
